﻿$ErrorActionPreference = 'Stop';
$packageName = 'WinMerge'
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ahkExe      = 'AutoHotKey'
$ahkFile     = "$toolsDir\winmerge.ahk"
$url32       = 'https://downloads.sourceforge.net/project/winmerge/stable/2.16.4/WinMerge-2.16.4-Setup.exe?r=https%3A%2F%2Fsourceforge.net%2Fprojects%2Fwinmerge%2Ffiles%2Fstable%2F2.16.4%2FWinMerge-2.16.4-Setup.exe%2Fdownload%3Fuse_mirror%3Ddatapacket&ts=1564420660'
$checksum32  = '946676A4F59AD0EDBD1213E868078CB5BC9DB87B5C49085241EE843BB5664A19'
$url64       = 'https://downloads.sourceforge.net/project/winmerge/stable/2.16.4/WinMerge-2.16.4-x64-Setup.exe?r=https%3A%2F%2Fsourceforge.net%2Fprojects%2Fwinmerge%2Ffiles%2Fstable%2F2.16.4%2FWinMerge-2.16.4-x64-Setup.exe%2Fdownload%3Fuse_mirror%3Dnetcologne&ts=1564420686'
$checksum64  = '018FCF478A6466AC48A81D8B5D40FB5F4C5C4AF3CAA84E25B5E8223368888745'

$packageArgs = @{
    packageName    = $packageName
    url            = $url32
    checkum        = $checksum32
    checksumType   = 'sha256'
    url64bit       = $url64
    checksum64     = $checksum64
    checksumType64 = 'sha256'
    fileType       = 'EXE'
    silentArgs     = '/VERYSILENT'
    validExitCodes = @(0)  
    registryUninstallerKey = $packageName	
}

Start-Process $ahkExe $ahkFile
Install-ChocolateyPackage @packageArgs
Start-Sleep -s 10
Start-CheckandStop "WinMerge"  
